%define api 3.10
%define major 1
%define libname %mklibname gnote %api %major

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Note-taking application
Name:		gnote
Version:	3.10.2
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3 
URL:		https://wiki.gnome.org/Gnote
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.4
BuildRequires:	pkgconfig(libsecret-1) >= 0.8
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(gtkspell3-3.0)
BuildRequires:	boost-devel
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%description
Gnote is a simple desktop note-taking application for GNOME. 
Easy to use, but with potential to help you organize the ideas and
information you deal with every day. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

This is a clone of Tomboy, in C++.

%package -n %{libname}
Group: System/Libraries
Summary: Note-taking application library

%description -n %{libname}
This is the note-taking application library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm
rm -f %{buildroot}%{_libdir}/*.so

%find_lang %{name} --with-help

desktop-file-install --vendor="" \
  --remove-only-show-in="GNOME" \
  --remove-only-show-in="XFCE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}
%{_datadir}/appdata/gnote.appdata.xml
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/gnome-shell/search-providers/gnote-search-provider.ini

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*


%changelog
* Tue Dec 31 2013 pterjan <pterjan> 3.10.2-1.mga4
+ Revision: 563614
- Update to 3.10.2 (bugfix release fixing a crash on mate and cinnamon)

* Tue Dec 31 2013 pterjan <pterjan> 3.10.1-3.mga4
+ Revision: 563598
- Drop obsolete build dependency on libpanelapplet

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-2.mga4
+ Revision: 550173
- fix url

* Sun Oct 27 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 547341
- new version 3.10.1

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 538036
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 3.10.0-1.mga4
+ Revision: 488370
- update file list
- update libmajor

  + ovitters <ovitters>
    - new version 3.10.0

* Mon Aug 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 471893
- enable spellchecking
- update major

  + ovitters <ovitters>
    - new version 3.9.3

* Sun Jul 28 2013 dams <dams> 3.9.2-1.mga4
+ Revision: 459211
- new version 3.9.4
- update api
- update major
- update %%files

* Tue Jul 09 2013 fwang <fwang> 3.8.1-2.mga4
+ Revision: 451857
- rebuild for new boost

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427167
- update api and major
- new version 3.8.1

* Sat Jan 12 2013 umeabot <umeabot> 3.7.2-2.mga3
+ Revision: 352301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 ovitters <ovitters> 3.7.2-1.mga3
+ Revision: 341541
- new version 3.7.2

* Sun Dec 09 2012 barjac <barjac> 3.7.1-1.mga3
+ Revision: 329030
- new major

  + ovitters <ovitters>
    - new version 3.7.1

* Wed Nov 07 2012 bersuit <bersuit> 3.7.0-1.mga3
+ Revision: 316132
- updated to upstream 3.7.0

* Sun Oct 28 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 311065
- new version 3.6.1

* Thu Sep 27 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 298554
- update libapi
- update br
- convert to new help system
- new version 3.6.0

* Sun Sep 16 2012 fwang <fwang> 3.5.0-2.mga3
+ Revision: 294298
- add upstream patch to ensure gnote won't exit when closing window

* Mon Aug 27 2012 fwang <fwang> 3.5.0-1.mga3
+ Revision: 284562
- update libmajor
- update br

  + ovitters <ovitters>
    - drop merged patch
    - fix source url
    - new version 3.5.0

* Fri Jul 06 2012 fwang <fwang> 0.9.1-1.mga3
+ Revision: 268367
- update file list
- fix linkage
- br gnome-keyring
- new version 0.9.1

* Sun Apr 15 2012 ovitters <ovitters> 0.8.3-1.mga3
+ Revision: 230891
- new version 0.8.3

  + fwang <fwang>
    - revert to stable series
    - new version 0.9.0
    - new version 0.9.0

* Tue Dec 20 2011 fwang <fwang> 0.8.2-1.mga2
+ Revision: 184777
- panel applet disabled by upstream
- new version 0.8.2

* Tue Oct 25 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 157982
- drop merged patch
- new version 0.8.1

* Sun Sep 25 2011 fwang <fwang> 0.8.0-1.mga2
+ Revision: 147619
- update file list
- update file list
- fix str fmt
- new version 0.8.0

* Wed Sep 21 2011 fwang <fwang> 0.7.5-2.mga2
+ Revision: 146261
- drop .la files
- new version 0.7.5

* Mon Jun 27 2011 fwang <fwang> 0.7.4-2.mga2
+ Revision: 114330
- br gconf
- add more br
- disable panel applet
- new version 0.7.4

  + dmorgan <dmorgan>
    - Rebuild against gnome 3

* Fri Apr 01 2011 ahmad <ahmad> 0.7.3-3.mga1
+ Revision: 79532
- imported package gnote


* Tue Mar 15 2011 Funda Wang <fwang@mandriva.org> 0.7.3-2mdv2011.0
+ Revision: 644851
- force filesystem v2
- rebuild for new boost

* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 593318
- new version
- update file list
- drop patch

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.7.2-3mdv2011.0
+ Revision: 572250
- rebuild for new boost

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.7.2-2mdv2011.0
+ Revision: 565989
- rebuild for new boost

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 518354
- new version
- fix build

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.7.1-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.1
+ Revision: 500081
- rebuild for new boost

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 486229
- update to new version 0.7.1

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.0-2mdv2010.1
+ Revision: 484720
- add dbus support based on dbus-c++

* Thu Dec 31 2009 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 484505
- update to new version 0.7.0

* Sat Nov 28 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.1
+ Revision: 470854
- new version

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2010.0
+ Revision: 418879
- rebuild for new libboost

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2010.0
+ Revision: 415766
- update to new version 0.6.2
- fix build deps for backports

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.6.1-2mdv2010.0
+ Revision: 409061
- Updated buildrequires for libuuid.

* Sat Aug 01 2009 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 405331
- new version 0.6.1

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2010.0
+ Revision: 404487
- update to new version 0.6.0

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 396179
- update to new version 0.5.3

* Wed Jul 01 2009 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 391330
- update to new version 0.5.2
- enable checks

* Fri Jun 26 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 389361
- make it appear in KDE menu as well
- spec fixes

* Thu Jun 25 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 388907
- update to new version 0.5.1
- update build deps

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 386561
- new version
- fix build deps
- fix source URL
- update file list

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated to 0.4.0

  + Michael Scherer <misc@mandriva.org>
    - Add BuildRequires
    - add Summary, Group, License and description
    - import gnote


